<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php print $language->language; ?>" xml:lang="<?php print $language->language; ?>">

<head>
  <title><?php print $head_title; ?></title>
  <?php print $head; ?>
  <?php print $styles; ?>
  <!--[if IE]>
    <?php if (file_exists($canvas_subtheme_directory . '/ie.css')): ?>
      <link rel="stylesheet" href="<?php print $base_path . $canvas_subtheme_directory; ?>/ie.css" type="text/css">
    <?php else: ?>
      <link rel="stylesheet" href="<?php print $base_path . $canvas_theme_directory; ?>/ie.css" type="text/css">
    <?php endif; ?>
    <?php if (file_exists($canvas_subtheme_directory . '/ie2.css')): ?>
      <link rel="stylesheet" href="<?php print $base_path . $canvas_subtheme_directory; ?>/ie2.css" type="text/css">
    <?php endif; ?>
  <![endif]-->
  <?php print $scripts; ?>
</head>

<body class="<?php print $body_classes; ?>">
  <div id="page"><div id="page-inner">

    <?php if ($leaderboard_1 || $leaderboard_2 || $leaderboard_3 || $leaderboard_4): ?>
      <div id="leaderboard-wrapper"><div id="leaderboard-wrapper-inner" class="region-leaderboard-wrapper">
        <?php if ($leaderboard_1): ?>
          <div id="leaderboard-1"><div id="leaderboard-1-inner" class="region region-leaderboard-1">
            <?php print $leaderboard_1; ?>
          </div></div> <!-- /#leaderboard-1-inner, /#leaderboard-1 -->
        <?php endif; ?>
        <?php if ($leaderboard_2): ?>
          <div id="leaderboard-2"><div id="leaderboard-2-inner" class="region region-leaderboard-2">
            <?php print $leaderboard_2; ?>
          </div></div> <!-- /#leaderboard-2-inner, /#leaderboard-2 -->
        <?php endif; ?>
        <?php if ($leaderboard_3): ?>
          <div id="leaderboard-3"><div id="leaderboard-3-inner" class="region region-leaderboard-3">
            <?php print $leaderboard_3; ?>
          </div></div> <!-- /#leaderboard-3-inner, /#leaderboard-3 -->
        <?php endif; ?>
        <?php if ($leaderboard_4): ?>
          <div id="leaderboard-4"><div id="leaderboard-4-inner" class="region region-leaderboard-4">
            <?php print $leaderboard_4; ?>
          </div></div> <!-- /#leaderboard-4-inner, /#leaderboard-4 -->
        <?php endif; ?>
      </div></div> <!-- /#leaderboard-wrapper-inner, /#leaderboard-wrapper -->
    <?php endif; ?>
            
    <div id="header"><div id="header-inner" class="clear-block">

      <?php if ($header_top_1 || $header_top_2 || $header_top_3 || $header_top_4): ?>
        <div id="header-top-wrapper"><div id="header-top-wrapper-inner" class="region-header-top-wrapper">
          <?php if ($header_top_1): ?>
            <div id="header-top-1"><div id="header-top-1-inner" class="region region-header-top-1">
              <?php print $header_top_1; ?>
            </div></div> <!-- /#header-top-1-inner, /#header-top-1 -->
          <?php endif; ?>
          <?php if ($header_top_2): ?>
            <div id="header-top-2"><div id="header-top-2-inner" class="region region-header-top-2">
              <?php print $header_top_2; ?>
            </div></div> <!-- /#header-top-2-inner, /#header-top-2 -->
          <?php endif; ?>
          <?php if ($header_top_3): ?>
            <div id="header-top-3"><div id="header-top-3-inner" class="region region-header-top-3">
              <?php print $header_top_3; ?>
            </div></div> <!-- /#header-top-3-inner, /#header-top-3 -->
          <?php endif; ?>
          <?php if ($header_top_4): ?>
            <div id="header-top-4"><div id="header-top-4-inner" class="region region-header-top-4">
              <?php print $header_top_4; ?>
            </div></div> <!-- /#header-top-4-inner, /#header-top-4 -->
          <?php endif; ?>
        </div></div> <!-- /#header-top-wrapper-inner, /#header-top-wrapper -->
      <?php endif; ?>

      <?php if ($logo || $site_name || $site_slogan): ?>
        <div id="logo-title">

          <?php if ($logo): ?>
            <div id="logo"><a href="<?php print $base_path; ?>" title="<?php print t('Home'); ?>" rel="home"><img src="<?php print $logo; ?>" alt="<?php print t('Home'); ?>" id="logo-image" /></a></div>
          <?php endif; ?>

          <?php if ($site_name): ?>
            <?php
              // Use an H1 only on the homepage
              $tag = $is_front ? 'h1' : 'div';
            ?>
            <<?php print $tag; ?> id='site-name'>
              <a href="<?php print $base_path; ?>" title="<?php print t('Home'); ?>" rel="home">
                <strong><?php print $site_name; ?></strong>
              </a>
            </<?php print $tag; ?>>
          <?php endif; ?>

          <?php if ($site_slogan): ?>
            <div id='site-slogan'><?php print $site_slogan; ?></div>
          <?php endif; ?>

        </div> <!-- /#logo-title -->
      <?php endif; ?>

      <?php if ($search_box): ?>
        <div id="search-box">
          <?php print $search_box; ?>
        </div> <!-- /#search-box -->
      <?php endif; ?>

      <?php if ($header || $header_bottom_2 || $header_bottom_3 || $header_bottom_4): ?>
        <div id="header-bottom-wrapper"><div id="header-bottom-wrapper-inner" class="region-header-bottom-wrapper">
          <?php if ($header): ?>
            <div id="header-bottom-1"><div id="header-bottom-1-inner" class="region region-header-bottom-1">
              <?php print $header; ?>
            </div></div> <!-- /#header-bottom-1-inner, /#header-bottom-1 -->
          <?php endif; ?>
          <?php if ($header_bottom_2): ?>
            <div id="header-bottom-2"><div id="header-bottom-2-inner" class="region region-header-bottom-2">
              <?php print $header_bottom_2; ?>
            </div></div> <!-- /#header-bottom-2-inner, /#header-bottom-2 -->
          <?php endif; ?>
          <?php if ($header_bottom_3): ?>
            <div id="header-bottom-3"><div id="header-bottom-3-inner" class="region region-header-bottom-3">
              <?php print $header_bottom_3; ?>
            </div></div> <!-- /#header-bottom-3-inner, /#header-bottom-3 -->
          <?php endif; ?>
          <?php if ($header_bottom_4): ?>
            <div id="header-bottom-4"><div id="header-bottom-4-inner" class="region region-header-bottom-4">
              <?php print $header_bottom_4; ?>
            </div></div> <!-- /#header-bottom-4-inner, /#header-bottom-4 -->
          <?php endif; ?>
        </div></div> <!-- /#header-bottom-wrapper-inner, /#header-bottom-wrapper -->
      <?php endif; ?>

    </div></div> <!-- /#header-inner, /#header -->

    <div id="main"><div id="main-inner" class="clear-block<?php if ($primary_links || $secondary_links || $navbar_1 || $navbar_2) { print ' with-navbar'; } ?>">

      <div id="content"><div id="content-inner">

        <?php if ($mission): ?>
          <div id="mission"><?php print $mission; ?></div>
        <?php endif; ?>

        <?php if ($content_top_1 || $content_top_2 || $content_top_3 || $content_top_4): ?>
          <div id="content-top-wrapper"><div id="content-top-wrapper-inner" class="region-content-top-wrapper">
            <?php if ($content_top_1): ?>
              <div id="content-top-1"><div id="content-top-1-inner" class="region region-content-top-1">
                <?php print $content_top_1; ?>
              </div></div> <!-- /#content-top-1-inner, /#content-top-1 -->
            <?php endif; ?>
            <?php if ($content_top_2): ?>
              <div id="content-top-2"><div id="content-top-2-inner" class="region region-content-top-2">
                <?php print $content_top_2; ?>
              </div></div> <!-- /#content-top-2-inner, /#content-top-2 -->
            <?php endif; ?>
            <?php if ($content_top_3): ?>
              <div id="content-top-3"><div id="content-top-3-inner" class="region region-content-top-3">
                <?php print $content_top_3; ?>
              </div></div> <!-- /#content-top-3-inner, /#content-top-3 -->
            <?php endif; ?>
            <?php if ($content_top_4): ?>
              <div id="content-top-4"><div id="content-top-4-inner" class="region region-content-top-4">
                <?php print $content_top_4; ?>
              </div></div> <!-- /#content-top-4-inner, /#content-top-4 -->
            <?php endif; ?>
          </div></div> <!-- /#content-top-wrapper-inner, /#content-top-wrapper -->
        <?php endif; ?>

        <?php if ($breadcrumb or $title or $tabs or $help or $messages): ?>
          <div id="content-header">
            <div id="breadcrumb"><?php print $breadcrumb; ?></div>
            <?php if ($title): ?>
              <h1 class="title"><?php print $title; ?></h1>
            <?php endif; ?>
            <?php print $messages; ?>
            <?php if ($tabs): ?>
              <div class="tabs"><?php print $tabs; ?></div>
            <?php endif; ?>
            <?php print $help; ?>
          </div> <!-- /#content-header -->
        <?php endif; ?>

        <?php if ($content_header_1 || $content_header_2 || $content_header_3 || $content_header_4): ?>
          <div id="content-header-wrapper"><div id="content-header-wrapper-inner" class="region-content-header-wrapper">
            <?php if ($content_header_1): ?>
              <div id="content-header-1"><div id="content-header-1-inner" class="region region-content-header-1">
                <?php print $content_header_1; ?>
              </div></div> <!-- /#content-header-1-inner, /#content-header-1 -->
            <?php endif; ?>
            <?php if ($content_header_2): ?>
              <div id="content-header-2"><div id="content-header-2-inner" class="region region-content-header-2">
                <?php print $content_header_2; ?>
              </div></div> <!-- /#content-header-2-inner, /#content-header-2 -->
            <?php endif; ?>
            <?php if ($content_header_3): ?>
              <div id="content-header-3"><div id="content-header-3-inner" class="region region-content-header-3">
                <?php print $content_header_3; ?>
              </div></div> <!-- /#content-header-3-inner, /#content-header-3 -->
            <?php endif; ?>
            <?php if ($content_header_4): ?>
              <div id="content-header-4"><div id="content-header-4-inner" class="region region-content-header-4">
                <?php print $content_header_4; ?>
              </div></div> <!-- /#content-header-4-inner, /#content-header-4 -->
            <?php endif; ?>
          </div></div> <!-- /#content-header-wrapper-inner, /#content-header-wrapper -->
        <?php endif; ?>

        <div id="content-area"><div id="content-area-inner">
          <?php print $content; ?>
        </div></div>

        <?php if ($feed_icons): ?>
          <div class="feed-icons"><?php print $feed_icons; ?></div>
        <?php endif; ?>

        <?php if ($content_bottom_1 || $content_bottom_2 || $content_bottom_3 || $content_bottom_4): ?>
          <div id="content-bottom-wrapper"><div id="content-bottom-wrapper-inner" class="region-content-bottom-wrapper">
            <?php if ($content_bottom_1): ?>
              <div id="content-bottom-1"><div id="content-bottom-1-inner" class="region region-content-bottom-1">
                <?php print $content_bottom_1; ?>
              </div></div> <!-- /#content-bottom-1-inner, /#content-bottom-1 -->
            <?php endif; ?>
            <?php if ($content_bottom_2): ?>
              <div id="content-bottom-2"><div id="content-bottom-2-inner" class="region region-content-bottom-2">
                <?php print $content_bottom_2; ?>
              </div></div> <!-- /#content-bottom-2-inner, /#content-bottom-2 -->
            <?php endif; ?>
            <?php if ($content_bottom_3): ?>
              <div id="content-bottom-3"><div id="content-bottom-3-inner" class="region region-content-bottom-3">
                <?php print $content_bottom_3; ?>
              </div></div> <!-- /#content-bottom-3-inner, /#content-bottom-3 -->
            <?php endif; ?>
            <?php if ($content_bottom_4): ?>
              <div id="content-bottom-4"><div id="content-bottom-4-inner" class="region region-content-bottom-4">
                <?php print $content_bottom_4; ?>
              </div></div> <!-- /#content-bottom-4-inner, /#content-bottom-4 -->
            <?php endif; ?>
          </div></div> <!-- /#content-bottom-wrapper-inner, /#content-bottom-wrapper -->
        <?php endif; ?>

      </div></div> <!-- /#content-inner, /#content -->

      <?php if ($primary_links || $secondary_links || $navbar_1 || $navbar_2): ?>
        <div id="navbar"><div id="navbar-inner" class="region region-navbar">

          <?php if ($primary_links): ?>
            <div id="primary-links"><div class="primary-links-inner">
              <?php print $primary_links; ?>
            </div></div> <!-- /#primary-links-inner, /#primary-links -->
          <?php endif; ?>

          <?php if ($secondary_links): ?>
            <div id="secondary-links"><div class="secondary-links-inner">
              <?php print $secondary_links; ?>
            </div></div> <!-- /#secondary-links-inner, /#secondary-links -->
          <?php endif; ?>

          <?php if ($navbar_1 || $navbar_2): ?>
            <div id="navbar-wrapper"><div id="navbar-wrapper-inner" class="region-navbar-wrapper">
              <?php if ($navbar_1): ?>
                <div id="navbar-1"><div id="navbar-1-inner" class="region region-navbar-1">
                  <?php print $navbar_1; ?>
                </div></div> <!-- /#navbar-1-inner, /#navbar-1 -->
              <?php endif; ?>
              <?php if ($navbar_2): ?>
                <div id="navbar-2"><div id="navbar-2-inner" class="region region-navbar-2">
                  <?php print $navbar_2; ?>
                </div></div> <!-- /#navbar-2-inner, /#navbar-2 -->
              <?php endif; ?>
            </div></div> <!-- /#navbar-wrapper-inner, /#navbar-wrapper -->
          <?php endif; ?>
                  
        </div></div> <!-- /#navbar-inner, /#navbar -->
      <?php endif; ?>

      <?php if ($sidebar_1 || $left || $right || $sidebar_4): ?>
        <div id="sidebar-wrapper"><div id="sidebar-wrapper-inner">

          <?php if ($sidebar_1): ?>
            <div id="sidebar-1"><div id="sidebar-1-inner" class="region region-sidebar-1">
              <?php print $sidebar_1; ?>
            </div></div> <!-- /#sidebar-1-inner, /#sidebar-1 -->
          <?php endif; ?>
          <?php if ($left): ?>
            <div id="sidebar-left"><div id="sidebar-left-inner" class="region region-left">
              <?php print $left; ?>
            </div></div> <!-- /#sidebar-left-inner, /#sidebar-left -->
          <?php endif; ?>
          <?php if ($right): ?>
            <div id="sidebar-right"><div id="sidebar-right-inner" class="region region-right">
              <?php print $right; ?>
            </div></div> <!-- /#sidebar-right-inner, /#sidebar-right -->
          <?php endif; ?>
          <?php if ($sidebar_4): ?>
            <div id="sidebar-4"><div id="sidebar-4-inner" class="region region-sidebar-4">
              <?php print $sidebar_4; ?>
            </div></div> <!-- /#sidebar-4-inner, /#sidebar-4 -->
          <?php endif; ?>

        </div></div> <!-- /#sidebar-wrapper-inner, /#sidebar-wrapper -->
      <?php endif; ?>

    </div></div> <!-- /#main-inner, /#main -->

    <div id="footer"><div id="footer-inner" class="region region-footer">

      <div id="footer-message"><?php print $footer_message; ?></div>

      <?php if ($footer || $footer_2 || $footer_3 || $footer_4): ?>
        <div id="footer-wrapper"><div id="footer-wrapper-inner" class="region-footer-wrapper">
          <?php if ($footer): ?>
            <div id="footer-1"><div id="footer-1-inner" class="region region-footer-1">
              <?php print $footer; ?>
            </div></div> <!-- /#footer-1-inner, /#footer-1 -->
          <?php endif; ?>
          <?php if ($footer_2): ?>
            <div id="footer-2"><div id="footer-2-inner" class="region region-footer-2">
              <?php print $footer_2; ?>
            </div></div> <!-- /#footer-2-inner, /#footer-2 -->
          <?php endif; ?>
          <?php if ($footer_3): ?>
            <div id="footer-3"><div id="footer-3-inner" class="region region-footer-3">
              <?php print $footer_3; ?>
            </div></div> <!-- /#footer-3-inner, /#footer-3 -->
          <?php endif; ?>
          <?php if ($footer_4): ?>
            <div id="footer-4"><div id="footer-4-inner" class="region region-footer-4">
              <?php print $footer_4; ?>
            </div></div> <!-- /#footer-4-inner, /#footer-4 -->
          <?php endif; ?>
        </div></div> <!-- /#footer-wrapper-inner, /#footer-wrapper -->
      <?php endif; ?>

    </div></div> <!-- /#footer-inner, /#footer -->

  </div></div> <!-- /#page-inner, /#page -->

  <?php if ($closure_region): ?>
    <div id="closure-blocks" class="region region-closure"><?php print $closure_region; ?></div>
  <?php endif; ?>

  <?php print $closure; ?>

</body>
</html>